---
title: So you want to hire for platform engineering
weight: 6
tags:
 - platform
 - cloudnativecon
---

<!-- {{% button href="https://youtu.be/rkteV6Mzjfs" style="warning" icon="video" %}}Watch talk on YouTube{{% /button %}} -->

Hypothesis: The bar for good interviewing is somewhere near the earth's core and we need to improve this (because we need more engineers)

## Resilience engineering

> The overarching concepts that apply to platforms or just "how to make code work"

Idea: Four main goals that align with different roles unter the mothership "resilience engineering"

- Rebound: SRE
- Robustness: Infra
- Graceful extensibility: Platform Engineering
- Sustained adaptability: DevEx (often pulled out into something else)

Bonus things to look out for

- Intellectual Humility: The ability to learn new things and accepting that you might now much but not everything
- Ecological awe: The awe expereienced when looking at beautiful nature and feeling small or just looking at the cncf landscape

## What do you need for the first team

- People who are able to hire new people and willing to step up to leadership in the long term
- Generalists

## The process and what to do

What should happen before we hire someone (either in one or multiple interviews).

1. Learn about each other
2. Solve a technical problem together
3. Solve a socological problem together
4. How do you and your future coworkers/stakeholders get along

Make sure the end2end time (first interview to ye or no) is low (best is under two meeks)
All of your current engineers should be able to pass the interview without studying in advance (no stupid)

## Potential Failures and fallacies

- The fallacy of demographics in = demographics out
- Treating interviews like hazing
- you don't track afer-hire indicators
- Whireboard interviews: They are stupid repetition and regurgitation and have 0 relations to the real world work
- There are no real studies on how to asses and hire talent

### Flags

- Passion is usually interpreted as "puts up with abuse" and should not be mistaken for caring -> See "Ecological awe"
- Side projects probably indicate lack in family/social time "i make my wife raise the kids" -> Sideprojects are not a good indicator, maybe their are brilliant at their job but love their free time
- A Moneyball-like process (data-driven decision) completely counters how talent is perceived -> Expand the hiring pool to anybody and ignore the clasical "indicators of talent"
- Discriminated demographics probably have a better grip on systems thinking (doe to being forced to make choices)
- Systems thinking is more important than platform knowledge (If you can think in terms of organization and dependencies you can work on platforms)